
TYPO3.Flow - Bug # 6693

Status: Resolved Priority: Should have
Author: Thomas Fritz Category: Core
Created: 2010-03-04 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Request Bash if you use bash in the flow3 shell script
Description

The first line of flow3 should read as #!/bin/bash instead of@#!/bin/sh@.
There is no symlink on every environment from /bin/sh to /bin/bash and the flow3 script uses bash features. 
At least for all common Linux environments and Mac Environments there is bash available, so we should request it.

Associated revisions
Revision 06a00c44 - 2010-03-05 22:48 - Karsten Dambekalns

[+FEATURE] FLOW3 (Core): Made the flow3 shell script configurable regarding PHP binary, context and paths used through Configuration/flow3.sh.
Resolves #6681. T3BOARD10 Bug Auction.
[+BUGFIX] FLOW3 (Core): Two compliance fixes to flow3.sh, fixes #6693, fixes #6694. T3BOARD10 Bug Auction bonus fixes. :)

History
#1 - 2010-03-05 18:09 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-03-05 22:46 - Karsten Dambekalns
- Tracker changed from Task to Bug

#3 - 2010-03-05 22:48 - Karsten Dambekalns
- Target version set to 1.0 alpha 8

#4 - 2010-03-05 22:50 - Karsten Dambekalns
- Category changed from Environment to Core

#5 - 2010-03-06 12:32 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

As of r3916:
[+FEATURE] FLOW3 (Core): Made the flow3 shell script configurable regarding PHP binary, context and paths used through Configuration/flow3.sh.
Resolves #6681. T3BOARD10 Bug Auction.
[+BUGFIX] FLOW3 (Core): Two compliance fixes to flow3.sh, fixes #6693, fixes #6694. T3BOARD10 Bug Auction bonus fixes. :)
